#pragma once

#include "boarddefs.h"

#define DEBUG_PINS_ARE_STARTUP_STATE 1



#if DEBUG_PINS_ARE_STARTUP_STATE

#  define DEBUGPINS_INIT() do { \
	PIN_DRIVE_TO(PIN_DEBUG0, 0); \
	PIN_DRIVE_TO(PIN_DEBUG1, 0); \
	PIN_DRIVE_TO(PIN_DEBUG2, 0); \
	PIN_DRIVE_TO(PIN_DEBUG3, 0); \
	} while (0)
#  define DEBUGPINS_START_INIT_CLOCK() PIN_SET(PIN_DEBUG0)
#  define DEBUGPINS_CLOCK_READY()      PIN_SET(PIN_DEBUG1)
#  define DEBUGPINS_RUN()              PIN_SET(PIN_DEBUG3)


#endif
